Package ch.qos.logback.core.joran.spi

# Class XMLUtil

java.lang.Object
ch.qos.logback.core.joran.spi.XMLUtil

public class XMLUtil extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ILL_FORMED`
`static final int`
`UNRECOVERABLE_ERROR`

## Constructor Summary

Constructors
Constructor
Description
`XMLUtil()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`checkIfWellFormed(URL url, StatusManager sm)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ILL_FORMED

public static final int ILL_FORMED

See Also:
  - Constant Field Values

### UNRECOVERABLE_ERROR

public static final int UNRECOVERABLE_ERROR

See Also:
  - Constant Field Values

## Constructor Details

### XMLUtil

public XMLUtil()

## Method Details

### checkIfWellFormed

public static int checkIfWellFormed(URL url, StatusManager sm)